Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.query
Interface SimpleFilterType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, FilterType, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  BooleanFilterType, DateTimeFilterType, FloatFilterType, IntegerFilterType, StringFilterType

All Known Implementing Classes:
  BooleanFilterTypeImpl, DateTimeFilterTypeImpl, FloatFilterTypeImpl, IntegerFilterTypeImpl, SimpleFilterTypeImpl, StringFilterTypeImpl

    public interface SimpleFilterType

extends FilterType

A representation of the model object 'Simple Filter Type'.

The following features are supported:

- `Comparator`
- `Domain Attribute`

See Also:
  `QueryPackage.getSimpleFilterType()`

Method Summary
`ComparatorType` | `getComparator()` Returns the value of the 'Comparator' attribute.
`java.lang.String` | `getDomainAttribute()` Returns the value of the 'Domain Attribute' attribute.
`boolean` | `isSetComparator()` Returns whether the value of the '`Comparator`' attribute is set.
`void` | `setComparator(ComparatorType value)` Sets the value of the '`Comparator`' attribute.
`void` | `setDomainAttribute(java.lang.String value)` Sets the value of the '`Domain Attribute`' attribute.
`void` | `unsetComparator()` Unsets the value of the '`Comparator`' attribute.

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._3._0.query.FilterType
`isNegate, isSetNegate, setNegate, unsetNegate`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getComparator

    ComparatorType getComparator()

  Returns the value of the 'Comparator' attribute. The default value is `"LE"`. The literals are from the enumeration `ComparatorType`.

  If the meaning of the 'Comparator' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Comparator' attribute.
  See Also:
    `ComparatorType`, `isSetComparator()`, `unsetComparator()`, `setComparator(ComparatorType)`, `QueryPackage.getSimpleFilterType_Comparator()`

### setComparator

    void setComparator(ComparatorType value)

  Sets the value of the '`Comparator`' attribute.

  Parameters:
    `value` - the new value of the 'Comparator' attribute.
  See Also:
    `ComparatorType`, `isSetComparator()`, `unsetComparator()`, `getComparator()`

### unsetComparator

    void unsetComparator()

  Unsets the value of the '`Comparator`' attribute.

  See Also:
    `isSetComparator()`, `getComparator()`, `setComparator(ComparatorType)`

### isSetComparator

    boolean isSetComparator()

  Returns whether the value of the '`Comparator`' attribute is set.

  Returns:
    whether the value of the 'Comparator' attribute is set.
  See Also:
    `unsetComparator()`, `getComparator()`, `setComparator(ComparatorType)`

### getDomainAttribute

    java.lang.String getDomainAttribute()

  Returns the value of the 'Domain Attribute' attribute.

  If the meaning of the 'Domain Attribute' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Domain Attribute' attribute.
  See Also:
    `setDomainAttribute(String)`, `QueryPackage.getSimpleFilterType_DomainAttribute()`

### setDomainAttribute

    void setDomainAttribute(java.lang.String value)

  Sets the value of the '`Domain Attribute`' attribute.

  Parameters:
    `value` - the new value of the 'Domain Attribute' attribute.
  See Also:
    `getDomainAttribute()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD